Package org.apache.activemq.artemis.jms.server

## Class ActiveMQJMSServerLogger_$logger

- java.lang.Object
- - org.jboss.logging.DelegatingBasicLogger
  - - org.apache.activemq.artemis.jms.server.ActiveMQJMSServerLogger_$logger

- All Implemented Interfaces:
    `java.io.Serializable`, `ActiveMQJMSServerLogger`, `org.jboss.logging.BasicLogger`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageLoggerImplementor",
                 date="2022-07-26T12:06:35-0400")
      public class ActiveMQJMSServerLogger_$logger
      extends org.jboss.logging.DelegatingBasicLogger
      implements ActiveMQJMSServerLogger, org.jboss.logging.BasicLogger, java.io.Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jboss.logging.DelegatingBasicLogger

      `log`

    - ### Fields inherited from interface org.apache.activemq.artemis.jms.server.ActiveMQJMSServerLogger

      `LOGGER`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ActiveMQJMSServerLogger_$logger​(org.jboss.logging.Logger log)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `bindingsUnbindError​(java.lang.Exception e, java.lang.String key)` |
    `protected java.lang.String` | `bindingsUnbindError$str()` |
    `void` | `failedToCorrectHost​(java.lang.Exception e, java.lang.String name)` |
    `protected java.lang.String` | `failedToCorrectHost$str()` |
    `void` | `failedToDeactivateServer​(java.lang.Exception e)` |
    `protected java.lang.String` | `failedToDeactivateServer$str()` |
    `void` | `failedToSendNotification​(java.lang.String notification)` |
    `protected java.lang.String` | `failedToSendNotification$str()` |
    `protected java.util.Locale` | `getLoggingLocale()` |
    `void` | `invalidHostForConnector​(java.lang.String name, java.lang.String newHost)` |
    `protected java.lang.String` | `invalidHostForConnector$str()` |
    `void` | `jmsConfigMissingKey​(org.w3c.dom.Node e)` |
    `protected java.lang.String` | `jmsConfigMissingKey$str()` |
    `void` | `jmsDeployerStartError​(java.lang.Exception e)` |
    `protected java.lang.String` | `jmsDeployerStartError$str()` |
    `void` | `jmsServerError​(java.lang.Exception e)` |
    `protected java.lang.String` | `jmsServerError$str()` |
    `void` | `noQueueOnTopic​(java.lang.String queueName, java.lang.String name)` |
    `protected java.lang.String` | `noQueueOnTopic$str()` |
    `void` | `recoveryConnectFailed​(java.lang.String s)` |
    `protected java.lang.String` | `recoveryConnectFailed$str()` |
    `void` | `serverCachingCommand​(java.lang.Object runnable)` |
    `protected java.lang.String` | `serverCachingCommand$str()` |
    `void` | `serverRunningCachedCommand​(java.lang.Runnable run)` |
    `protected java.lang.String` | `serverRunningCachedCommand$str()` |
    `void` | `xaRecoverConnectionError​(java.lang.Exception e, ClientSessionFactory csf)` |
    `protected java.lang.String` | `xaRecoverConnectionError$str()` |
    `void` | `xaRecoverError​(java.lang.Exception e)` |
    `protected java.lang.String` | `xaRecoverError$str()` |
    `void` | `xaRecoveryError​(java.lang.Exception e)` |
    `protected java.lang.String` | `xaRecoveryError$str()` |

    - ### Methods inherited from class org.jboss.logging.DelegatingBasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.jboss.logging.BasicLogger

      `debug, debug, debug, debug, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugf, debugv, debugv, debugv, debugv, debugv, debugv, debugv, debugv, error, error, error, error, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorf, errorv, errorv, errorv, errorv, errorv, errorv, errorv, errorv, fatal, fatal, fatal, fatal, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalf, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, fatalv, info, info, info, info, infof, infof, infof, infof, infof, infof, infof, infof, infov, infov, infov, infov, infov, infov, infov, infov, isDebugEnabled, isEnabled, isInfoEnabled, isTraceEnabled, log, log, log, log, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logf, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, logv, trace, trace, trace, trace, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracef, tracev, tracev, tracev, tracev, tracev, tracev, tracev, tracev, warn, warn, warn, warn, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnf, warnv, warnv, warnv, warnv, warnv, warnv, warnv, warnv`

- - ### Constructor Detail

    - #### ActiveMQJMSServerLogger_$logger

          public ActiveMQJMSServerLogger_$logger​(org.jboss.logging.Logger log)

  - ### Method Detail

    - #### getLoggingLocale

          protected java.util.Locale getLoggingLocale()

    - #### serverCachingCommand

          public final void serverCachingCommand​(java.lang.Object runnable)

      Specified by:
        `serverCachingCommand` in interface `ActiveMQJMSServerLogger`

    - #### serverCachingCommand$str

          protected java.lang.String serverCachingCommand$str()

    - #### invalidHostForConnector

          public final void invalidHostForConnector​(java.lang.String name,
                                                    java.lang.String newHost)

      Specified by:
        `invalidHostForConnector` in interface `ActiveMQJMSServerLogger`

    - #### invalidHostForConnector$str

          protected java.lang.String invalidHostForConnector$str()

    - #### noQueueOnTopic

          public final void noQueueOnTopic​(java.lang.String queueName,
                                           java.lang.String name)

      Specified by:
        `noQueueOnTopic` in interface `ActiveMQJMSServerLogger`

    - #### noQueueOnTopic$str

          protected java.lang.String noQueueOnTopic$str()

    - #### recoveryConnectFailed

          public final void recoveryConnectFailed​(java.lang.String s)

      Specified by:
        `recoveryConnectFailed` in interface `ActiveMQJMSServerLogger`

    - #### recoveryConnectFailed$str

          protected java.lang.String recoveryConnectFailed$str()

    - #### bindingsUnbindError

          public final void bindingsUnbindError​(java.lang.Exception e,
                                                java.lang.String key)

      Specified by:
        `bindingsUnbindError` in interface `ActiveMQJMSServerLogger`

    - #### bindingsUnbindError$str

          protected java.lang.String bindingsUnbindError$str()

    - #### jmsServerError

          public final void jmsServerError​(java.lang.Exception e)

      Specified by:
        `jmsServerError` in interface `ActiveMQJMSServerLogger`

    - #### jmsServerError$str

          protected java.lang.String jmsServerError$str()

    - #### xaRecoverError

          public final void xaRecoverError​(java.lang.Exception e)

      Specified by:
        `xaRecoverError` in interface `ActiveMQJMSServerLogger`

    - #### xaRecoverError$str

          protected java.lang.String xaRecoverError$str()

    - #### xaRecoverConnectionError

          public final void xaRecoverConnectionError​(java.lang.Exception e,
                                                     ClientSessionFactory csf)

      Specified by:
        `xaRecoverConnectionError` in interface `ActiveMQJMSServerLogger`

    - #### xaRecoverConnectionError$str

          protected java.lang.String xaRecoverConnectionError$str()

    - #### xaRecoveryError

          public final void xaRecoveryError​(java.lang.Exception e)

      Specified by:
        `xaRecoveryError` in interface `ActiveMQJMSServerLogger`

    - #### xaRecoveryError$str

          protected java.lang.String xaRecoveryError$str()

    - #### failedToCorrectHost

          public final void failedToCorrectHost​(java.lang.Exception e,
                                                java.lang.String name)

      Specified by:
        `failedToCorrectHost` in interface `ActiveMQJMSServerLogger`

    - #### failedToCorrectHost$str

          protected java.lang.String failedToCorrectHost$str()

    - #### failedToSendNotification

          public final void failedToSendNotification​(java.lang.String notification)

      Specified by:
        `failedToSendNotification` in interface `ActiveMQJMSServerLogger`

    - #### failedToSendNotification$str

          protected java.lang.String failedToSendNotification$str()

    - #### failedToDeactivateServer

          public final void failedToDeactivateServer​(java.lang.Exception e)

      Specified by:
        `failedToDeactivateServer` in interface `ActiveMQJMSServerLogger`

    - #### failedToDeactivateServer$str

          protected java.lang.String failedToDeactivateServer$str()

    - #### serverRunningCachedCommand

          public final void serverRunningCachedCommand​(java.lang.Runnable run)

      Specified by:
        `serverRunningCachedCommand` in interface `ActiveMQJMSServerLogger`

    - #### serverRunningCachedCommand$str

          protected java.lang.String serverRunningCachedCommand$str()

    - #### jmsConfigMissingKey

          public final void jmsConfigMissingKey​(org.w3c.dom.Node e)

      Specified by:
        `jmsConfigMissingKey` in interface `ActiveMQJMSServerLogger`

    - #### jmsConfigMissingKey$str

          protected java.lang.String jmsConfigMissingKey$str()

    - #### jmsDeployerStartError

          public final void jmsDeployerStartError​(java.lang.Exception e)

      Specified by:
        `jmsDeployerStartError` in interface `ActiveMQJMSServerLogger`

    - #### jmsDeployerStartError$str

          protected java.lang.String jmsDeployerStartError$str()